#!usr/bin/python3

# PrzykladLPS25H.py
# ilustracja dzialania czujnika LPS25HB
# Maciej Ropelewski
# mikrokontroler.pl 2017

from pyA20 import i2c
import time
from LPS25 import LPS25

adres_czujnika = 0x5c
i2c.init("/dev/i2c-1")
i2c.open(adres_czujnika)
czujnik = LPS25()
czujnik.init()
while True:
	temp = czujnik.czytajTemperature()
	cisnienie =czujnik.czytajCisnienie()
	print ('Cisnienie: %.2f mbar || Temperatura: %.2f st. C' % (cisnienie,temp))
	time.sleep(3)

i2c.close()	
